﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace ComboBoxAdv
{
    public class UserViewModel :NotificationObject
    {
        public List<UserModel> Users { get; set; }

        public UserViewModel()
        {
            Users = new List<UserModel>{new UserModel {Name="Andy", Address1 = "123 Main St", City = "Austin", Country = "USA", State = "TX", Zipcode = "14525"},
                new UserModel {Name = "Johnson", Address1 = "123 Main St", City = "Austin", Country = "USA", State = "TX", Zipcode = "14525" } } ;
        }

        private object slist;
        public object SelectedItem
        {
            get { return slist; }
            set
            {
                slist = value;
                RaisePropertyChanged("SelectedItem");
            }
        }
      
        public ICommand SelectedItemClear
        {
            get { return new DelegateCommand<object>(ClearSelected, CanExecuteSelection); }
        }

        private void ClearSelected(object context)
        {
            SelectedItem = null;
        }

        private bool CanExecuteSelection(object context)
        {
            return true;
        }
    }
}
